sample1.cpp File Reference

Example: bvector<> set bits and then retrieve indexes of ON bits. More...

`#include <cassert>`
`#include <iostream>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample1.cpp:

Go to the source code of this file.

## Functions

int | main (void)

## Detailed Description

Example: bvector<> set bits and then retrieve indexes of ON bits.

Definition in file sample1.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Examples
  bv3vlogic.cpp, bvsample01_64.cpp, bvsetalgebra.cpp, inv_list.cpp, rscsample01.cpp, rscsample02.cpp, rscsample03.cpp, rscsample04.cpp, rscsample05.cpp, rscsample06.cpp, sample1.cpp, sample10.cpp, sample11.cpp, sample12.cpp, sample14.cpp, sample15.cpp, sample16.cpp, sample17.cpp, sample18.cpp, sample18a.cpp, sample19.cpp, sample2.cpp, sample20.cpp, sample21.cpp, sample22.cpp, sample23.cpp, sample24.cpp, sample25.cpp, sample26.cpp, sample3.cpp, sample4.cpp, sample5.cpp, sample6.cpp, sample7.cpp, sample8.cpp, sample9.cpp, strsvsample01.cpp, strsvsample02.cpp, strsvsample02a.cpp, strsvsample03.cpp, strsvsample04.cpp, strsvsample05.cpp, strsvsample06.cpp, strsvsample07.cpp, strsvsample08.cpp, strsvsample09.cpp, svsample01.cpp, svsample02.cpp, svsample03.cpp, svsample04.cpp, svsample05.cpp, svsample06.cpp, svsample07.cpp, svsample07a.cpp, svsample08.cpp, svsample09.cpp, svsample10.cpp, xsample01.cpp, xsample02.cpp, xsample03.cpp, xsample04.cpp, xsample04a.cpp, xsample05.cpp, xsample06.cpp, xsample07.cpp, xsample07a.cpp, xsample08.cpp, and xsample09.cpp.

Definition at line 43 of file sample1.cpp.

References bm::bvector< Alloc >::clear(), bm::bvector< Alloc >::count(), bm::bvector< Alloc >::get_first(), bm::bvector< Alloc >::get_next(), bm::bvector< Alloc >::set(), bm::bvector< Alloc >::swap(), and bm::bvector< Alloc >::test().